Bug 20819 - repquota truncating usernames
Summary: repquota truncating usernames
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: quota   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact: Dale Lovelace
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-14 05:57 UTC by Jon Benson
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-14 05:57:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jon Benson 2000-11-14 05:57:30 UTC
repquota is truncating usernames which makes it rather difficult to use.
It's a case of the good old 8 character limit coming in to play.

Eg
winmybiz-t+-   15621   15360   20480     34       1     0     0

That user is winmybiz-tony but with repquota reporting it like this you
wouldn't know it wasn't winmybiz-tim  :(


My main problem is I have a Perl script designed to warn me of users
overquota.  I did have it emailing them as well but until I realised it was
trying to send email to the wrong accounts.

I'd assume this is a rather simple source code hack.  Even if a "-w"
argument were added to get a wider output.

I'd even be happier with a UID that I could then map back to a username.

Comment 1 Preston Brown 2001-02-01 23:45:39 UTC
The version of quota in rawhide supports 15 char usernames.


Note You need to log in before you can comment on or make changes to this bug.